From cf8a363e7beb8767180b2013bc9e0ae3c17c96ea Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Mon, 1 Aug 2022 00:05:20 +0200
Subject: [PATCH 4/4] Remove abs macro

Defined as a function in <stdlib.h> since C99.

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 Xvnc/programs/Xserver/include/misc.h | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

diff --git a/Xvnc/programs/Xserver/include/misc.h b/Xvnc/programs/Xserver/include/misc.h
index f01f3e95e2a7..dde05c431a17 100644
--- a/Xvnc/programs/Xserver/include/misc.h
+++ b/Xvnc/programs/Xserver/include/misc.h
@@ -158,16 +158,10 @@ typedef struct _xReq *xReqPtr;
 
 #define min(a, b) (((a) < (b)) ? (a) : (b))
 #define max(a, b) (((a) > (b)) ? (a) : (b))
-#if !defined(AMOEBA) && !defined(__EMX__)
-#ifndef abs
-#define abs(a) ((a) > 0 ? (a) : -(a))
-#endif
-#else /* AMOEBA || __EMX__ */
-/* abs() is a function, not a macro; include the file declaring
+/* abs() is a function since C99, not a macro; include the file declaring
  * it in case we haven't done that yet.
  */  
 #include <stdlib.h>
-#endif /* AMOEBA */
 #ifndef Fabs
 #define Fabs(a) ((a) > 0.0 ? (a) : -(a))	/* floating absolute value */
 #endif
-- 
2.37.1

